public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-office/scribus/
Date: Fri, 16 Oct 2015 13:04:45 +0000 (UTC)	[thread overview]
Message-ID: <1445000683.98aa7f806be8c939dda474da29ca61b6c2bb2365.jlec@gentoo> (raw)

commit:     98aa7f806be8c939dda474da29ca61b6c2bb2365
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 16 12:34:15 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Oct 16 13:04:43 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98aa7f80

app-office/scribus: Version Bump

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 app-office/scribus/Manifest             |   1 +
 app-office/scribus/metadata.xml         |   2 +-
 app-office/scribus/scribus-1.4.5.ebuild | 150 ++++++++++++++++++++++++++++++++
 3 files changed, 152 insertions(+), 1 deletion(-)

diff --git a/app-office/scribus/Manifest b/app-office/scribus/Manifest
index 3440d32..517756d 100644
--- a/app-office/scribus/Manifest
+++ b/app-office/scribus/Manifest
@@ -1,2 +1,3 @@
 DIST scribus-1.4.4.tar.xz 71274196 SHA256 a43b9d55518ccebdb770d3cdac44ebf75c60ad11c284b210f6b0bd8c7a0217ae SHA512 aafcb0870d4a3054585d79ef7d7e7726dd8bd8eb8a177bcf812a42d00583a1d684a9abb61607e69c64bf9fdb4a98258be4a5b2df5cfb7c953238bc3a6a2d34bb WHIRLPOOL dff4f44ed0600737076a233ef3c7d2fd6b534f30e9d6016b884eadab2512c3f4a8610e932207d95a597795812ec7a45128ca66b6bc294fa1336f3411595c5df9
+DIST scribus-1.4.5.tar.bz2 78251228 SHA256 9f706f0561d26bb11bbe558690ae0507cd3689e381f6e17aa9411d9c4ef58498 SHA512 60db402b0fc4880f795694f3d6823ff2cedd660e7431c311ec7b75d79f09815e790da562c4cd4c080811559d1c16a3e65be8e1a348f655dbc37c3a6cec74650e WHIRLPOOL f53273810ae2b7aa35403d6e622fb0ebb67f35d454aa4667dbbe81efe5fb2de3564d346741b80c5bed33a307e8c58fe7ba695900e45f602b3a14db1cae82d948
 DIST scribus-1.5.0.tar.xz 75867348 SHA256 a3dbe66d12719355d41ae7f2cac7a8c9d5599b12aeb5c038d939636f054e8e68 SHA512 3d3f311543019cf985e12d25d0a9bd2ea470679aee0f40d0aed4d2f1532ea3cdbd4d2e215e59b559b4301613fb71f738a348c56d09d3c6e32da0047d9e212065 WHIRLPOOL feae71d139724b4927c81cab5d13168a9e00383f9a7890484cf5ab62f001b266b4af954440bc7edc51eedb65c3ace4541a7fc0836b0f6237061d6d38371ac6ca

diff --git a/app-office/scribus/metadata.xml b/app-office/scribus/metadata.xml
index d6bbfec..80e31d3 100644
--- a/app-office/scribus/metadata.xml
+++ b/app-office/scribus/metadata.xml
@@ -1,4 +1,4 @@
-<?xml version='1.0' encoding='UTF-8'?>
+<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
   <herd>desktop-misc</herd>

diff --git a/app-office/scribus/scribus-1.4.5.ebuild b/app-office/scribus/scribus-1.4.5.ebuild
new file mode 100644
index 0000000..1b16771
--- /dev/null
+++ b/app-office/scribus/scribus-1.4.5.ebuild
@@ -0,0 +1,150 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="tk?"
+
+inherit cmake-utils fdo-mime python-single-r1
+
+DESCRIPTION="Desktop publishing (DTP) and layout program"
+HOMEPAGE="http://www.scribus.net/"
+SRC_URI="mirror://sourceforge/${PN}/${PV}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="cairo debug examples hunspell +minimal +pdf scripts templates tk"
+
+# a=$(ls resources/translations/po/scribus.*ts | sed -e 's:\.: :g' | awk '{print $2}'); echo ${a}
+IUSE_LINGUAS=" af ar bg br ca cs_CZ cy da_DK de de_1901 de_CH el en_AU en_GB en_US eo es_ES et eu fi fr gl hu id it ja ko lt_LT nb_NO nl pl_PL pt pt_BR ru sa sk_SK sl sq sr sv th_TH tr uk zh_CN zh_TW"
+IUSE+=" ${IUSE_LINGUAS// / linguas_}"
+
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}
+	tk? ( scripts )"
+
+COMMON_DEPEND="
+	${PYTHON_DEPS}
+	dev-libs/boost
+	dev-libs/hyphen
+	dev-libs/libxml2
+	dev-qt/qtcore:4
+	dev-qt/qtgui:4
+	media-libs/fontconfig
+	media-libs/freetype:2
+	media-libs/lcms:2
+	media-libs/libpng:0
+	media-libs/tiff:0
+	net-print/cups
+	sys-libs/zlib[minizip]
+	virtual/jpeg:0=
+	cairo? ( x11-libs/cairo[X,svg] )
+	!cairo? ( media-libs/libart_lgpl )
+	hunspell? ( app-text/hunspell )
+	pdf? ( app-text/podofo )
+	scripts? ( virtual/python-imaging[tk?,${PYTHON_USEDEP}] )
+	tk? ( virtual/python-imaging[tk?,${PYTHON_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+	app-text/ghostscript-gpl"
+DEPEND="${COMMON_DEPEND}
+	virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.4.2-docs.patch
+	"${FILESDIR}"/${PN}-1.4.0-minizip.patch
+	"${FILESDIR}"/${PN}-1.4.4-ppc64-fpic.patch
+	)
+
+src_prepare() {
+	cat > cmake/modules/FindZLIB.cmake <<- EOF
+	find_package(PkgConfig)
+	pkg_check_modules(ZLIB minizip zlib)
+	SET( ZLIB_LIBRARY \${ZLIB_LIBRARIES} )
+	SET( ZLIB_INCLUDE_DIR \${ZLIB_INCLUDE_DIRS} )
+	MARK_AS_ADVANCED( ZLIB_LIBRARY ZLIB_INCLUDE_DIR )
+	EOF
+
+	rm scribus/{ioapi,unzip}.[ch] || die
+
+	sed \
+		-e 's:\(${CMAKE_INSTALL_PREFIX}\):./\1:g' \
+		-i resources/templates/CMakeLists.txt || die
+
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local lang langs
+	for lang in ${IUSE_LINGUAS}; do
+		if use linguas_${lang}; then
+			langs+=",${lang}"
+		else
+			sed -e "/${lang}/d" -i scribus/doc/CMakeLists.txt || die
+		fi
+	done
+
+	local mycmakeargs=(
+		-DHAVE_PYTHON=ON
+		-DPYTHON_INCLUDE_PATH="$(python_get_includedir)"
+		-DPYTHON_LIBRARY="$(python_get_library_path)"
+		-DWANT_NORPATH=ON
+		-DWANT_QT3SUPPORT=OFF
+		-DGENTOOVERSION=${PVR}
+		-DWANT_GUI_LANG=${langs#,}
+		$(cmake-utils_use_with pdf PODOFO)
+		$(cmake-utils_use_want cairo)
+		$(cmake-utils_use_want !cairo QTARTHUR)
+		$(cmake-utils_use_want debug DEBUG)
+		$(cmake-utils_use_want minimal NOHEADERINSTALL)
+		$(cmake-utils_use_want hunspell HUNSPELL)
+		$(cmake-utils_use_want !examples NOEXAMPLES)
+		$(cmake-utils_use_want !templates NOTEMPLATES)
+		)
+	cmake-utils_src_configure
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	local lang file
+	for lang in ${IUSE_LINGUAS}; do
+		file="${ED}"/usr/share/scribus/translations/scribus.${lang}.qm
+		if ! use linguas_${lang} && [[ -f "${file}" ]]; then
+			rm "${file}" || die
+		fi
+	done
+
+	if ! use scripts; then
+		rm "${ED}"/usr/share/scribus/scripts/*.py || die
+	elif ! use tk; then
+		rm "${ED}"/usr/share/scribus/scripts/{FontSample,CalendarWizard}.py || die
+	fi
+
+	python_fix_shebang "${ED}"/usr/share/scribus/scripts
+	python_optimize "${ED}"/usr/share/scribus/scripts
+
+	mv "${ED}"/usr/share/doc/${PF}/{en,html} || die
+	ln -sf html "${ED}"/usr/share/doc/${PF}/en || die
+	cat >> "${T}"/COPYING <<- EOF
+	${PN} is licensed under the "${LICENSE}".
+	Please visit https://www.gnu.org/licenses/gpl-2.0.html for the complete license text.
+	EOF
+	dodoc "${T}"/COPYING
+	docompress -x /usr/share/doc/${PF}/en /usr/share/doc/${PF}/{AUTHORS,TRANSLATION,LINKS,COPYING}
+	doicon resources/icons/scribus.png
+	domenu scribus.desktop
+}
+
+pkg_postinst() {
+	fdo-mime_desktop_database_update
+	fdo-mime_mime_database_update
+}
+
+pkg_postrm() {
+	fdo-mime_desktop_database_update
+	fdo-mime_mime_database_update
+}


             reply	other threads:[~2015-10-16 13:04 UTC|newest]

Thread overview: 140+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-16 13:04 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-09 18:30 [gentoo-commits] repo/gentoo:master commit in: app-office/scribus/ Sam James
2025-02-09 11:37 Jakov Smolić
2025-02-09  9:26 Arthur Zamarin
2025-02-09  9:26 Arthur Zamarin
2025-02-06 19:42 Miroslav Šulc
2025-01-28 20:13 Andreas Sturmlechner
2025-01-09 10:20 Miroslav Šulc
2024-07-17 19:10 Sam James
2024-07-17 11:26 Arthur Zamarin
2024-07-17 11:26 Arthur Zamarin
2024-07-17 11:26 Arthur Zamarin
2024-06-16 10:28 Miroslav Šulc
2024-06-04 10:26 Miroslav Šulc
2024-05-22  7:43 Miroslav Šulc
2024-05-22  7:39 Miroslav Šulc
2024-05-14 18:41 Andreas Sturmlechner
2024-03-02 13:08 Arthur Zamarin
2024-02-17 14:48 Sam James
2024-02-15 10:05 Jakov Smolić
2024-02-14 16:44 Sam James
2024-01-14 10:29 Miroslav Šulc
2024-01-14 10:07 Miroslav Šulc
2024-01-10 10:06 Miroslav Šulc
2023-10-30  8:13 Miroslav Šulc
2023-10-27 12:17 Sam James
2023-10-24 19:11 Arthur Zamarin
2023-10-24 17:19 Arthur Zamarin
2023-10-24 16:51 Arthur Zamarin
2023-03-16 14:04 Arthur Zamarin
2023-02-20 14:30 Sam James
2023-02-20 14:30 Sam James
2023-02-20 13:50 Sam James
2022-12-29 21:34 Sam James
2022-10-08 18:25 Sam James
2022-05-17  9:39 Miroslav Šulc
2022-05-17  9:24 Agostino Sarubbo
2022-05-16 12:22 Jakov Smolić
2022-05-16 12:21 Jakov Smolić
2022-05-16 12:21 Jakov Smolić
2022-05-09  6:54 Andreas Sturmlechner
2022-03-27  2:34 Sam James
2022-03-19 19:21 Agostino Sarubbo
2022-03-18  8:15 Arthur Zamarin
2022-03-16 19:21 Jakov Smolić
2022-03-16 15:17 Andreas Sturmlechner
2022-01-24 10:31 Miroslav Šulc
2021-12-15  8:08 Miroslav Šulc
2021-05-30  9:50 Agostino Sarubbo
2021-05-29 15:23 Sam James
2021-05-29 13:28 Sam James
2021-05-29 13:28 Sam James
2021-04-27  9:34 Miroslav Šulc
2020-12-22 13:25 Miroslav Šulc
2020-12-22  5:20 Sam James
2020-12-20 19:07 Thomas Deutschmann
2020-12-16 17:57 Sam James
2020-11-16  9:08 Miroslav Šulc
2020-09-28 21:33 Andreas Sturmlechner
2020-08-06 17:10 Miroslav Šulc
2020-08-06 13:28 Miroslav Šulc
2020-07-17 18:38 Agostino Sarubbo
2020-07-13 19:25 Sam James
2020-07-13 18:56 Sam James
2020-07-13 11:28 Michał Górny
2020-07-01 14:17 Andreas Sturmlechner
2020-04-03 20:07 Andreas Sturmlechner
2020-03-27 10:08 Miroslav Šulc
2020-03-20 21:53 Matt Turner
2020-02-09 16:11 Michał Górny
2020-01-03 20:07 Andreas Sturmlechner
2020-01-03  7:24 Miroslav Šulc
2019-12-03 11:58 Agostino Sarubbo
2019-12-01 13:56 Sergei Trofimovich
2019-11-08 10:42 Miroslav Šulc
2019-11-02  8:42 Agostino Sarubbo
2019-10-31 23:50 Thomas Deutschmann
2019-09-13 23:51 Matt Turner
2019-06-12 10:03 Andreas Sturmlechner
2019-05-20 11:32 Mikle Kolyada
2019-05-19 13:14 Thomas Deutschmann
2019-05-08 17:20 Zac Medico
2019-02-22 13:06 Andreas Sturmlechner
2019-02-22 10:26 Mikle Kolyada
2019-02-17 22:35 Thomas Deutschmann
2019-02-17 17:14 Sergei Trofimovich
2019-02-17 17:08 Sergei Trofimovich
2019-02-14 18:37 Andreas Sturmlechner
2019-01-27 12:25 Sergei Trofimovich
2019-01-25  0:00 Andreas Sturmlechner
2019-01-11  1:23 Andreas Sturmlechner
2018-12-06 11:04 Andreas Sturmlechner
2018-10-06 20:45 Andreas Sturmlechner
2018-10-06 19:12 Sergei Trofimovich
2018-08-30 18:25 Sergei Trofimovich
2018-08-16  0:39 Thomas Deutschmann
2018-08-14  0:52 Mikle Kolyada
2018-06-20 16:31 Andreas Sturmlechner
2018-04-12 10:04 Miroslav Šulc
2018-03-12  5:37 Matt Turner
2018-03-04 22:30 Sergei Trofimovich
2018-02-11 10:25 Michał Górny
2018-01-17  5:11 Thomas Deutschmann
2018-01-09 13:38 Ulrich Müller
2017-12-26  1:02 Andreas Sturmlechner
2017-12-26  1:02 Andreas Sturmlechner
2017-12-25 15:20 Andreas Sturmlechner
2017-12-25 15:20 Andreas Sturmlechner
2017-12-25 15:20 Andreas Sturmlechner
2017-12-25 15:20 Andreas Sturmlechner
2017-12-25 15:20 Andreas Sturmlechner
2017-12-20 21:34 Justin Lecher
2017-10-30 23:33 Andreas Sturmlechner
2017-10-22 11:24 Justin Lecher
2017-10-22 11:24 Justin Lecher
2017-10-22 11:24 Justin Lecher
2017-08-24  7:33 Miroslav Šulc
2017-07-31 23:05 Sergei Trofimovich
2017-07-26  8:20 Sergei Trofimovich
2017-04-20  8:26 Jeroen Roovers
2017-04-20  7:30 Jeroen Roovers
2017-04-05 20:25 Michael Weber
2017-02-25 19:43 Justin Lecher
2017-01-05 19:53 Justin Lecher
2016-11-06  8:41 Justin Lecher
2016-11-06  8:25 Justin Lecher
2016-09-27 19:15 Michael Weber
2016-09-27 18:34 Michael Weber
2016-09-24 12:27 Jeroen Roovers
2016-08-22 18:48 Michael Weber
2016-08-03  8:15 Michael Weber
2016-05-17  9:04 Austin English
2016-05-04  5:26 Jeroen Roovers
2016-02-14 17:54 Justin Lecher
2016-02-14 10:11 Agostino Sarubbo
2016-01-23  7:25 Jeroen Roovers
2016-01-17 17:02 Agostino Sarubbo
2016-01-15  9:03 Agostino Sarubbo
2016-01-14  9:53 Justin Lecher
2015-10-01 14:21 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1445000683.98aa7f806be8c939dda474da29ca61b6c2bb2365.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox